package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import java.util.Map;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_SENSITIVECOLUMN"
)
public class TcoreDiscoverySensitivecolumn extends TBaseEntity implements Serializable {
   private Date createtime;
   private Date updatetime;
   private String groupid;
   private String taskversion;
   private String checked;
   private String datasourceid;
   private String tschema;
   private String tablename;
   private String columnname;
   private String isIntelligent;
   private String sampling;
   private String etsampling;
   private String mate;
   private String materatio;
   private String regextype;
   private String ruleid;
   private String rulename;
   private String secretkeyId;
   private String secretkeyName;
   private String datadomainId;
   private String datadomainName;
   private String isPrimaryKey;
   @Transient
   private Map<String, String> parameterlist;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getGroupid() {
      return this.groupid;
   }

   public void setGroupid(String groupid) {
      this.groupid = groupid;
   }

   public String getTaskversion() {
      return this.taskversion;
   }

   public void setTaskversion(String taskversion) {
      this.taskversion = taskversion;
   }

   public String getChecked() {
      return this.checked;
   }

   public void setChecked(String checked) {
      this.checked = checked;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getIsIntelligent() {
      return this.isIntelligent;
   }

   public void setIsIntelligent(String isIntelligent) {
      this.isIntelligent = isIntelligent;
   }

   public String getSampling() {
      return this.sampling;
   }

   public void setSampling(String sampling) {
      this.sampling = sampling;
   }

   public String getEtsampling() {
      return this.etsampling;
   }

   public void setEtsampling(String etsampling) {
      this.etsampling = etsampling;
   }

   public String getMate() {
      return this.mate;
   }

   public void setMate(String mate) {
      this.mate = mate;
   }

   public String getMateratio() {
      return this.materatio;
   }

   public void setMateratio(String materatio) {
      this.materatio = materatio;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getSecretkeyId() {
      return this.secretkeyId;
   }

   public void setSecretkeyId(String secretkeyId) {
      this.secretkeyId = secretkeyId;
   }

   public String getSecretkeyName() {
      return this.secretkeyName;
   }

   public void setSecretkeyName(String secretkeyName) {
      this.secretkeyName = secretkeyName;
   }

   public String getDatadomainId() {
      return this.datadomainId;
   }

   public void setDatadomainId(String datadomainId) {
      this.datadomainId = datadomainId;
   }

   public String getDatadomainName() {
      return this.datadomainName;
   }

   public void setDatadomainName(String datadomainName) {
      this.datadomainName = datadomainName;
   }

   public Map<String, String> getParameterlist() {
      return this.parameterlist;
   }

   public void setParameterlist(Map<String, String> parameterlist) {
      this.parameterlist = parameterlist;
   }

   public String getIsPrimaryKey() {
      return this.isPrimaryKey;
   }

   public void setIsPrimaryKey(String isPrimaryKey) {
      this.isPrimaryKey = isPrimaryKey;
   }

   public TcoreDiscoverySensitivecolumn() {
   }

   public TcoreDiscoverySensitivecolumn(Date createtime, Date updatetime, String groupid, String taskversion, String checked, String datasourceid, String tschema, String tablename, String columnname, String isIntelligent, String sampling, String etsampling, String mate, String materatio, String regextype, String ruleid, String rulename, String secretkeyId, String secretkeyName, String datadomainId, String datadomainName) {
      this.createtime = createtime;
      this.updatetime = updatetime;
      this.groupid = groupid;
      this.taskversion = taskversion;
      this.checked = checked;
      this.datasourceid = datasourceid;
      this.tschema = tschema;
      this.tablename = tablename;
      this.columnname = columnname;
      this.isIntelligent = isIntelligent;
      this.sampling = sampling;
      this.etsampling = etsampling;
      this.mate = mate;
      this.materatio = materatio;
      this.regextype = regextype;
      this.ruleid = ruleid;
      this.rulename = rulename;
      this.secretkeyId = secretkeyId;
      this.secretkeyName = secretkeyName;
      this.datadomainId = datadomainId;
      this.datadomainName = datadomainName;
   }

   public boolean equals(Object arg0) {
      TcoreDiscoverySensitivecolumn colum = (TcoreDiscoverySensitivecolumn)arg0;
      return this.datadomainId.equals(colum.datadomainId) && this.datadomainName.equals(colum.datadomainName);
   }

   public int hashCode() {
      String str = this.datadomainId + this.datadomainName;
      return str.hashCode();
   }
}
